- Qt 6.9
- Qt Core
- C++ Classes
- QScopedArrayPointer
- Qt 6.9.2 Reference Documentation

# Obsolete Members for QScopedArrayPointer

The following members of class QScopedArrayPointer are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.2)` void | swap(QScopedArrayPointer<T, Cleanup> &other)

## Member Function Documentation

### `[noexcept, deprecated in 6.2]` void QScopedArrayPointer::swap(QScopedArrayPointer<T, Cleanup> &other)

This function is deprecated since 6.2. We strongly advise against using it in new code.

Use `std::unique_ptr` instead; this function may let a pointer escape its scope.

Swaps this pointer with other. This operation is very fast and never fails.

.